
*** This file sets globals and directories 
* + runs the data preparation and analyses do-files


*** Directory
global mypath "Yourpath" // please replace by the path you saved the downloaded folder in


clear
cd "$mypath\behavioral_vaccine_trial"


****** Set globals

**** Sample restriction for the main specification:
global sample  if already_vacced == 0 & intention1 < .
* keep participants who have not already vaccinated (exlusion criteria from RCT) and who completed the treatment and filled in the main intention question (first question after intervention) 

*** Set global for the pre-specified controls (baseline specification as preregistered)
global pap_contr i.female i.age_band##i.region i.covid1_2 i.civilstatus i.haschildren i.education i.occupation i.mother i.father i.income

*** Outcome globals
global intention1 intention1
global behavior1 vaccinated
global gap1 gap1

*** Treatment globals
global treatments treat_pay treat_soc treat_arg treat_info treat_min
global nudge  treat_pay nudge treat_min

*** Other globals
global statsby_comm statsby mean=r(mean) ub=r(ub) lb=r(lb) N=r(N)


*** Set globals for table and figure output

* p-values and decimal options
global pvalues 				gaps star(* 0.10 ** 0.05 *** 0.01) 
global esttab_opt			b(2) se(2) r2(2) scalars(N) sfmt(0)

* add fixed effects indicators to table
capture program drop controls
program define controls
estadd local age_region_fe "yes"	
estadd local controls "yes" 
end

global stats		age_region_fe controls  N , fmt(0 0  %9.0gc) labels("Age x Region FE" "Controls"  `"\midrule \midrule Observations"')

capture program drop controls_ageregion
program define controls_ageregion
estadd local age_region_fe "yes"	
estadd local controls "yes" 
end
global stats_ageregion		age_region_fe  controls N, fmt(0 0 %9.0gc) labels("Age x Region FE" "Controls"   `"\midrule \midrule Observations"')

* Order coefficients
global order order(treat_pay nudge treat_soc treat_arg treat_info treat_min)

* Figure coloring
global nudgecolor teal
global incentivecolor dkgreen
global remindercolor brown

* Figure and table export
global export "1_tablesfigures"

* Install programs
capture: ssc install survwgt
capture: ssc install estout
capture: ssc install coefplot


****** Run do-file
do "1_analyses" 











